<?php
/**
 * Custom Properties SEF extension for Joomla!
 *
 * @author      $Author: David Jozefov $
 * @copyright   ARTIO s.r.o., http://www.artio.cz
 * @package     JoomSEF
 */

// Check to ensure this file is included in Joomla!
defined ( '_JEXEC' ) or die ( 'Restricted access.' );

class SefExt_com_customproperties extends SefExt {
	var $params;
	
    function getNonSefVars(&$uri)
    {
        $this->_createNonSefVars($uri);
        
        return array($this->nonSefVars, $this->ignoreVars);
    }
    
    function _createNonSefVars(&$uri)
    {
        if (isset($this->nonSefVars) && isset($this->ignoreVars))
            return;
            
        $this->nonSefVars = array();
        $this->ignoreVars = array();
        
        if (!is_null($uri->getVar('limit')))
            $this->nonSefVars['limit'] = $uri->getVar('limit');
        if (!is_null($uri->getVar('limitstart')))
            $this->nonSefVars['limitstart'] = $uri->getVar('limitstart');
        if (!is_null($uri->getVar('ordering')))
            $this->nonSefVars['ordering'] = $uri->getVar('ordering');
        if (!is_null($uri->getVar('bind_to_section')))
            $this->nonSefVars['bind_to_section'] = $uri->getVar('bind_to_section');
        if (!is_null($uri->getVar('content_element')))
            $this->nonSefVars['content_element'] = $uri->getVar('content_element');
        if (!is_null($uri->getVar('show_section')))
            $this->nonSefVars['show_section'] = $uri->getVar('show_section');
    }
    
	function getTagTitle($id) {
		$db =& JFactory::getDBO ();
		$db->setQuery("SELECT `id`, `label` FROM `#__custom_properties_values` WHERE `id` = '{$id}'");
		$row = $db->loadObject();
		
		return $row->label;
	}
	
	function create(&$uri) {
		// Extract variables
		$vars = $uri->getQuery(true);
		extract($vars);
		$title = array();
		
		$this->params = SEFTools::getExtParams('com_customproperties');
		
		//$title[] = JoomSEF::_getMenuTitle(@$option, @$task, @$Itemid);

		$title[] = JText::_('Tags');
		if (isset($tagName)) {
			$tagName = stripslashes(urldecode($tagName));
			if (strpos($tagName, ':') !== false) {
				list($pr, $tag) = explode(':', $tagName);
				$title[] = $tag;
			}
		}
		elseif (isset($tagId)) {
			$title[] = $this->getTagTitle($tagId);
		}
		
		$newUri = $uri;
        if (count($title) > 0) {
        	$this->_createNonSefVars($uri);
			$newUri = JoomSEF::_sefGetLocation($uri, $title, null, null, null, @$lang, $this->nonSefVars);
        }
		
		return $newUri;
	}
}
?>